AOZ Studio Beta - Bug #558

Having a Label as the first line of a procedure causes an internal error at compilation Pass 2
10/28/2020 10:16 PM - David Baldwin

Status: Closed Start date: 10/28/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Beta 1

Affected version: Beta RC3

Description

Having a Label as the first line of a procedure causes an internal error at compilation Pass 2

This is a recent bug, it used to be ok, not sure which version it first occurred.

History

#1 - 10/29/2020 01:16 PM - Brian Flanagan
Verified. This also fails in RC4, but in pass 1.
Example:
DoStuff
Procedure DoStuff[what]
barf:
Print "barf"
End Procedure

Result:

Error: internal error at line 4, column 5, in file main.aoz

Compiler error: crash during compilation: Pass: 1, crash at line 3, column: 5!

Cannot set property 'labelBlock' of undefined

TypeError: Cannot set property 'labelBlock' of undefined at firstPass (...compiler.js:1550:24) at compileSecti
on

(...compiler.js:727:4) at Object.module.exports.compile
(...compiler.js:84:2) at compile

(...a0z.3s:1176:23) at aoz

(...a0z.3s:1012:9) at Object.transpile

(...a0z.3s:218:4) at AOZView.buildPath
(...ao0z-studio-view.js:1772:9) at transpilelt
(...aoz-studio-view.js:1607:12) at ...aoz-studio-view.js:1599:7

#2 - 11/17/2020 03:34 PM - Francois Lionet
- Status changed from New to Resolved

- Target version set to Beta 1

Fixed! Was also happening for instructions, functions and methods.

#3 - 11/17/2020 06:29 PM - David Baldwin

- Status changed from Resolved to Closed
